2023-02-03 20:07 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004440HighwayHawks[All Projects] Generalpublic2021-04-20 21:44
Reporterchristoph gleisberg 
Assigned ToJOTDProject InfoHighway Hawks (Anco)
http://www.whdload.de/games/HighwayHawks.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
Summary0004440: The games brings graphic errors while playing / freezes
Descriptiongame freeze each time sudently when the cars stay behind a truck on 1st Level.
I Fact, the scenery of the road continues to move forward but the music freeze and the car is no longer controllable.
TagsNo tags attached.
MachineA4000
CPU68040
CPUSpeed40
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem16 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
importedyes
Attached Files
  • ? file icon .whdl_register (27,028 bytes) 2020-08-19 16:32 -
    ************************* 01-Jan-78 00:01:41 ************************18.5.5948***
    Slave='WestPhaser.Slave' (2656 bytes)
    Resload    7FA9000 -  7FB0D2C (  32044) at 7FA9000  GL=$7FF3000
    Slave      7FFC000 -  7FFCA3C (   2620) at 7FFC000  BaseMemSize=$80000
    ExpMem     7FB2000 -  7FF2000 ( 262144) at 7FB2000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Illegal Instruction" ($10) at $A764 (Task 'exec.library') occured.
    
    $0000a738 move.l       ($1c,a4),-(a7)                 ;$00013bd8 $0000184a
    $0000a73c jsr          ($f5ae,pc)
    $0000a740 lea          ($c,a7),a7                     ;$00001856
    $0000a744 jsr          ($115a6,pc)
    $0000a748 moveq        #0,d7
    $0000a74a cmpi.w       #$14,d7
    $0000a74e bcc.b        $a75c
    $0000a750 move.l       ($38,a4),a0                    ;$00013bf4
    $0000a754 adda.w       d7,a0
    $0000a756 clr.b        (a0)                           ;$0004d10f
    $0000a758 addq.w       #1,d7
    $0000a75a bra.b        $a74a
    $0000a75c move.l       ($3c,a4),a0                    ;$00013bf8
    $0000a760 adda.w       #$4eb9,a0
    ›1m$0000a764 dc.w         $07ff
    ›22m$0000a766 and.w        d3,(a6)                        ;$00000676
    $0000a768 nop
    $0000a76a bclr         d0,(a0)                        ;$0004d10f
    $0000a76c pea          ($147).w
    $0000a770 move.l       a0,-(a7)                       ;$0000184a
    $0000a772 jsr          ($af14,pc)
    $0000a776 lea          ($c,a7),a7                     ;$00001856
    $0000a77a jsr          ($122be,pc)
    $0000a77e clr.l        -(a7)                          ;$0000184a
    $0000a780 jsr          ($11c7c,pc)
    $0000a784 addq.w       #4,a7
    $0000a786 jsr          ($12176,pc)
    $0000a78a pea          ($7d00).w
    $0000a78e move.l       ($24,a4),-(a7)                 ;$00013be0 $0000184a
    
    exception stackframe:
    $0007FFF0 00040000 A7640010
    regular stack:
    $0000184A 00013BBC 00000000 00013BBC 00000676 00000000 18760000 B3720001 3BBC0000
    $0000186A 00000001 3BBC3B14 00013BBC 0000A498 07FFC754 07FFC630 07FFC20C 00000001
    $0000188A 00000000 00000000 D5D5D5D5 FFFFFFFF D7D7D7D7 FFFFFFFF 07FDA6EE 00005C40
    $000018AA 000018B6 00000676 07FDA5CC 00000676 00000000 000007FC D60807FB 349807FB
    $000018CA 349E07FB 34AE07FB 34B407FD D4440000 5BF607FD D2C20000 1D160000 00440000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        3         C      5DC0       28A         0         8         3        14
    Ax    4D10F     7BE00     2182C      A498     13BBC      185C       676
    
                     TTSM III   XNZVC
    PC=    A764›22m  SR %0000000000000100›1m  USP=184A  ISP=7FFF0  MSP=7F800
    VBR=7FF4000  SFC=5  DFC=5  CACR=0  MMUSR=0
    TC=8000  URP=7FA7000  SRP=7FA7000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100›22m dmacon=%›1m0010001111010000 adkcon=$1100
    intreq=%0000000000000000
    vposr....A300  vhposr...0265  joy0dat..0203  joy1dat..0000  clxdat...8001  
    pot0dat..C900  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...7F5E  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=C87F<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=0000B9  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ************************* 01-Jan-78 00:04:37 ************************18.5.5948***
    Slave='dangerfreak.slave' (744 bytes)
    Resload    7FEB000 -  7FF2D2C (  32044) at 7FEB000  GL=$7FF4000
    Slave      7FFD000 -  7FFD2C4 (    708) at 7FFD000  BaseMemSize=$80000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Access Fault" ($7008) PC = $DFF000 (custom.bltddat) Instruction
    stream fault on $DFF000 (custom.bltddat)
    
    $00dfefc8 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefcc move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefd0 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefd4 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefd8 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefdc move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefe0 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefe4 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefe8 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfefec move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfeff0 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfeff4 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfeff8 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dfeffc move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    ›1m$00dff000 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    ›22m$00dff004 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff008 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff00c move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff010 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff014 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff018 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff01c move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff020 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff024 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff028 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff02c move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff030 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff034 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    $00dff038 move.l       ($2a2a,a2),d5                  ;$d7d72a2a
    
    exception stackframe:
    $000027A2 230000DF F0007008 0000279A 01E60005 00000005 00DFF000 D5D5D5D5 D6D6D6D6
    $000027C2 D7D70000 00004512 00004412 000043D2 A3A3A3A3 A4A4A4A4 00DFF000
    regular stack:
    $000027DE A6A6A6A6 000027E2 00002940 0000FFFF EE01FFFE 00000001 D3D3D3D3 D4D4D4D4
    $000027FE D5D5D5D5 D6D6D6D6 D7D7D7D7 000035FA 00C60000 00004C78 A3A3A3A3 A4A4A4A4
    $0000281E 00DFF000 A6A6A6A6 20000000 480E006C 00004902 0000105A 00000000 00000000
    $0000283E 00000000 00000000 00000000 00000000 00000000 000030C1 54814840 30C030C1
    $0000285E 54814840 30C04E75 00000000 00000000 00000000 00000000 01D44A79 00002866
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     7444      7430      73D4        EA         0         1  D3D3D3D3  D4D4D4D4
    Ax D5D5D5D5  D6D6D6D6  D7D70000      4512      4412      43D2  A3A3A3A3
    
                     TTSM III   XNZVC
    PC=  DFF000›22m  SR %0010001100000000  USP=7FC00  ›1mISP=27A2  MSP=7F800
    VBR=7FF5000  SFC=5  DFC=5  CACR=0  MMUSR=0
    TC=8000  URP=7FE9000  SRP=7FE9000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000100000›22m dmacon=%›1m0010000110000000 adkcon=$1100
    intreq=%0000000000100000
    vposr....A300  vhposr...026E  joy0dat..0101  joy1dat..0000  clxdat...8001  
    pot0dat..4200  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...7F51  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=0000CE  icr=00  sdr=00    event=00FBDE  icr=00  sdr=00
    
    ************************* 01-Jan-78 00:18:30 ************************18.5.5948***
    Slave='LeavinTeramis.Slave' (1136 bytes)
    Resload    7FEB000 -  7FF2D2C (  32044) at 7FEB000  GL=$7FF4000
    Slave      7FFD000 -  7FFD44C (   1100) at 7FFD000  BaseMemSize=$80000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($7008) PC = $4915C Long Write to $FFFF8240
    
    $00049120 move.l       (a0)+,(a1)+                    ;$0006bee8 $0007f360
    $00049122 dbf          d0,$49120
    $00049126 lea          ($69148),a0
    $0004912c lea          ($7e5b0),a1
    $00049132 move.w       #$123,d0
    $00049136 moveq        #5,d1
    $00049138 move.w       (a0)+,(a1)+                    ;$0006bee8 $0007f360
    $0004913a dbf          d1,$49138
    $0004913e lea          ($1c,a0),a0                    ;$0006bf04
    $00049142 dbf          d0,$49136
    $00049146 bsr.w        $49d1a
    $0004914a rts
    $0004914c move.w       #0,($4d718)
    $00049154 movem.l      ($4d2f2),d0-d7
    ›1m$0004915c movem.l      d0-d7,(-$7dc0).w
    ›22m$00049162 movem.l      d0-d7,($4d3f0)
    $0004916a movem.l      d0-d7,($4d410)
    $00049172 move.l       #$50a63,d0
    $00049178 clr.b        d0
    $0004917a move.l       d0,($4d71e)
    $00049180 move.l       d0,($4d722)
    $00049186 addi.l       #$7d00,d0
    $0004918c move.l       d0,($4d71a)
    $00049192 clr.w        ($4d732)
    $00049198 move.w       #$ffff,($4dc14)
    $000491a0 lea          ($4d2f2),a0
    $000491a6 lea          ($491ce),a1
    $000491ac moveq        #$10,d7
    $000491ae bsr.w        $4a512
    
    exception stackframe:
    $0007FFAC 20040004 915C7008 FFFF8240 14850005 00850005 FFFF8240 FFFF8244 00000000
    $0007FFCC FFFF8240 00000000 00066828 0001EB40 00044936 00050358 20000004
    regular stack:
    $0007FFE8 00044A32 00045206 000449D6 00003044 00002FA0 0000CDEE
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0         0         0         0         0         0         0         0
    Ax    6BEE8     7F360     1D01A     66828     1EB40     44936     50358
    
                     TTSM III   XNZVC
    PC=   4915C›22m  SR %0010000000000100  USP=7FC00  ›1mISP=7FFAC  MSP=7F800
    VBR=7FF5000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
    TC=8000  URP=7FE9000  SRP=7FE9000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000101000›22m dmacon=%›1m0000011111001111 adkcon=$1100
    intreq=%0000011111000000
    vposr....A300  vhposr...01DE  joy0dat..0303  joy1dat..0800  clxdat...8001  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...06AF  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=0039F6  icr=00  sdr=00    event=46DDC6  icr=00  sdr=00
    
    ************************* 01-Jan-78 00:02:57 ************************18.5.5948***
    Slave='LeavinTeramis.Slave' (1136 bytes)
    Resload    7FEB000 -  7FF2D2C (  32044) at 7FEB000  GL=$7FF4000
    Slave      7FFD000 -  7FFD44C (   1100) at 7FFD000  BaseMemSize=$80000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Access Fault" ($7008) PC = $4915C Long Write to $FFFF8240
    
    $00049120 move.l       (a0)+,(a1)+                    ;$0006bee8 $0007f360
    $00049122 dbf          d0,$49120
    $00049126 lea          ($69148),a0
    $0004912c lea          ($7e5b0),a1
    $00049132 move.w       #$123,d0
    $00049136 moveq        #5,d1
    $00049138 move.w       (a0)+,(a1)+                    ;$0006bee8 $0007f360
    $0004913a dbf          d1,$49138
    $0004913e lea          ($1c,a0),a0                    ;$0006bf04
    $00049142 dbf          d0,$49136
    $00049146 bsr.w        $49d1a
    $0004914a rts
    $0004914c move.w       #0,($4d718)
    $00049154 movem.l      ($4d2f2),d0-d7
    ›1m$0004915c movem.l      d0-d7,(-$7dc0).w
    ›22m$00049162 movem.l      d0-d7,($4d3f0)
    $0004916a movem.l      d0-d7,($4d410)
    $00049172 move.l       #$50a63,d0
    $00049178 clr.b        d0
    $0004917a move.l       d0,($4d71e)
    $00049180 move.l       d0,($4d722)
    $00049186 addi.l       #$7d00,d0
    $0004918c move.l       d0,($4d71a)
    $00049192 clr.w        ($4d732)
    $00049198 move.w       #$ffff,($4dc14)
    $000491a0 lea          ($4d2f2),a0
    $000491a6 lea          ($491ce),a1
    $000491ac moveq        #$10,d7
    $000491ae bsr.w        $4a512
    
    exception stackframe:
    $0007FFAC 20040004 915C7008 FFFF8240 14850005 00850005 FFFF8240 FFFF8244 00000000
    $0007FFCC FFFF8240 00000000 00066828 0001EB40 00044936 00050358 20000004
    regular stack:
    $0007FFE8 00044A32 00045206 000449D6 00003044 00002FA0 0000CDEE
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0         0         0         0         0         0         0         0
    Ax    6BEE8     7F360     1D01A     66828     1EB40     44936     50358
    
                     TTSM III   XNZVC
    PC=   4915C›22m  SR %0010000000000100  USP=7FC00  ›1mISP=7FFAC  MSP=7F800
    VBR=7FF5000  SFC=5  DFC=5  CACR=0  MMUSR=0
    TC=8000  URP=7FE9000  SRP=7FE9000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000101000›22m dmacon=%›1m0000011111001111 adkcon=$1100
    intreq=%0000011111000000
    vposr....A300  vhposr...0262  joy0dat..0002  joy1dat..FC00  clxdat...8001  
    pot0dat..BF00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...FCCB  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=0018A4  icr=00  sdr=00    event=1E2085  icr=00  sdr=00
    
    ************************* 01-Jan-78 01:20:36 ************************18.5.5948***
    Slave='OutRun.slave' (2016 bytes)
    Resload    7FEB000 -  7FF2D2C (  32044) at 7FEB000  GL=$7FF4000
    Slave      7FFD000 -  7FFD7BC (   1980) at 7FFD000  BaseMemSize=$80000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    DEBUG caused. PC = $7FFD302 (Slave $302)
    
    $07ffd2d6 move.l       ($7ffd77e,pc),d1
    $07ffd2da subq.l       #1,d1
    $07ffd2dc move.b       (a0),d0                        ;$00bfe001
    $07ffd2de not.b        d0
    $07ffd2e0 ror.b        #4,d0
    $07ffd2e2 move.b       d0,(a0)+                       ;$00bfe001
    $07ffd2e4 dbf          d1,$7ffd2dc
    $07ffd2e8 rts
    $07ffd2ea lea          ($bfe001),a0
    $07ffd2f0 btst         #3,($d00,a0)                   ;$00bfed01
    $07ffd2f6 bne.b        $7ffd300
    $07ffd2f8 clr.b        ($d00,a0)                      ;$00bfed01
    $07ffd2fc jmp          ($5c06).w
    $07ffd300 bsr.b        $7ffd306
    ›1m$07ffd302 jmp          ($5bda).w
    ›22m$07ffd306 bclr         #3,($d00,a0)                   ;$00bfed01
    $07ffd30c moveq        #0,d0
    $07ffd30e move.b       ($c00,a0),d0                   ;$00bfec01
    $07ffd312 ori.b        #$40,($e00,a0)                 ;$00bfee01
    $07ffd318 move.w       d0,-(a7)                       ;$0007fc00
    $07ffd31a move.w       #$3ff,d0
    $07ffd31e nop
    $07ffd320 dbf          d0,$7ffd31e
    $07ffd324 move.w       (a7)+,d0                       ;$0007fc00
    $07ffd326 andi.b       #$bf,($e00,a0)                 ;$00bfee01
    $07ffd32c not.b        d0
    $07ffd32e ror.b        #1,d0
    $07ffd330 cmp.b        ($7ffd01f,pc),d0
    $07ffd334 beq.w        $7ffd344
    
    regular stack:
    $0007FC00 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC20 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC40 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC60 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FC80 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       59         0     60008        24     6F474     6F34C      FFFF        60
    Ax   BFE001     70F80   7FEB000     71092     6F47A     6F352     692AD
    
                     TTSM III   XNZVC
    PC= 7FFD302›22m  SR %0000000110100100›1m  USP=7FC00  ISP=6F254  MSP=7F800
    VBR=7FF5000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
    TC=8000  URP=7FE9000  SRP=7FE9000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000101000›22m dmacon=%›1m0010001110001111 adkcon=$   0
    intreq=%0000011110001000
    vposr....A300  vhposr...0D05  joy0dat..0302  joy1dat..0000  clxdat...8001  
    pot0dat..3AE4  pot1dat..001D  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...33AB  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000001  ta=3706<3930
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00033D  icr=00  sdr=4D    event=03F468  icr=01  sdr=00
    
    ************************* 01-Jan-78 00:09:24 ************************18.5.5948***
    Slave='JamesPond.Slave' (3520 bytes)
    Resload    7FEA000 -  7FF1D2C (  32044) at 7FEA000  GL=$7FF3000
    Slave      7FFC000 -  7FFCD9C (   3484) at 7FFC000  BaseMemSize=$80000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    The data/disk-files are damaged or it is an unsupported version.
    regular stack:
    $0007FF00 00010042 00000000 000144D4 00000000 00000000 00000000 00000000 00000000
    $0007FF20 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FF40 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FF60 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0007FF80 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx     9821  D1D1D1D1  D2D2D2D2  D3D3D3D3  D4D4D4D4  D5D5D5D5  D6D6D6D6  D7D7D7D7
    Ax A0A0A0A0  A1A1A1A1   7FEA000  A3A3A3A3  A4A4A4A4     7FCA6  A6A6A6A6
    
                     TTSM III   XNZVC
    PC=FFFFFFFF›22m  SR %0010000000000000  USP=7FC00  ›1mISP=7FF00  MSP=7F800
    VBR=7FF4000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
    TC=8000  URP=7FE8000  SRP=7FE8000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0000000000000000›22m dmacon=%›1m0010000000000000 adkcon=$1100
    intreq=%0000000000100000
    vposr....A300  vhposr...01D8  joy0dat..0102  joy1dat..0000  clxdat...8001  
    pot0dat..1E00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...7FF6  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000006  icr=00  sdr=00    event=000757  icr=00  sdr=00
    
    ************************* 01-Jan-78 00:01:32 ************************18.5.5948***
    Slave='HighwayHawks.slave' (2004 bytes)
    Resload    7F6A000 -  7F71D2C (  32044) at 7F6A000  GL=$7FF4000
    Slave      7FFD000 -  7FFD7B0 (   1968) at 7FFD000  BaseMemSize=$80000
    ExpMem     7F73000 -  7FF3000 ( 524288) at 7F73000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Access Fault" ($7008) PC = $7FBA8C6 (ExpMem $478C6) Word Read from
    $200E87D
    
    $07fba894 add.w        d0,($14,a0)                    ;$07fc965c
    $07fba898 move.w       ($12,a0),d0                    ;$07fc965a
    $07fba89c add.w        d0,d0
    $07fba89e lea          ($7fba93a),a1
    $07fba8a4 move.w       (0,a1,d0.w),d2                 ;$0200e877
    $07fba8a8 move.l       ($3c,a0),a1                    ;$07fc9684
    $07fba8ac move.w       ($3a,a0),d0                    ;$07fc9682
    $07fba8b0 lsl.w        #2,d0
    $07fba8b2 jsr          ($7ffd74a)
    $07fba8b8 ori.b        #??$3c,d4
    $07fba8bc dc.w         $007f
    $07fba8be sub.w        ($1a,a0),d1                    ;$07fc9662
    $07fba8c2 mulu         d2,d1
    $07fba8c4 swap         d1
    ›1m$07fba8c6 add.w        ($e,a1),d1                     ;$0200e87d
    ›22m$07fba8ca neg.w        d1
    $07fba8cc addi.w       #$7f,d1
    $07fba8d0 move.w       d1,($1a,a0)                    ;$07fc9662
    $07fba8d4 move.w       ($c,a1),d1                     ;$0200e87b
    $07fba8d8 lsr.w        #1,d1
    $07fba8da sub.w        d1,($14,a0)                    ;$07fc965c
    $07fba8de bset         #3,(2,a0)                      ;$07fc964a
    $07fba8e4 bne.w        $7fba7c8
    $07fba8e8 jsr          ($7fbc962)
    $07fba8ee suba.l       #4,a2
    $07fba8f4 rts
    $07fba8f6 move.l       a2,-(a7)                       ;$07fb4472
    $07fba8f8 jsr          ($7fba908)
    $07fba8fe move.l       (a7)+,a2                       ;$07fb4472
    
    exception stackframe:
    $07FF2FC4 000807FB A8C67008 07FF3000 05410001 00410041 0200E87D 07FB446E 07FBA8BA
    $07FF2FE4 0000BBFC 00DFF000 07FC1EE6 00000031 07FBB7FA 001107FB 93180070
    regular stack:
    $07FB4472 07FBA79A 07FBB3C2 07FB7DD6 07FFD5EC 07FFD228 00000001 00000000 00000000
    $07FB4492 D5D5D5D5 FFFFFFFF D7D7D7D7 FFFFFFFF 07F9B6EE 00001558 07FB44B6 07FB3276
    $07FB44B2 07F9B5CC 07FB3276 00000000 300007F8 E60807F7 449807F7 449E07F7 44AE07F7
    $07FB44D2 44B407F9 E44407FB 76BE07F9 E2C207FB 07FB452A 07FB4526 070007F9 B3FA07FB
    $07FB44F2 451207FB 07FB6AA4 07FB7730 00090000 000000FF 00000000 0000E7E8 00060200
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx FFFF0008  BD810001      2245        28  CF600152  FFFF51A0  FFFF0072      FFFF
    Ax  7FC9648   200E86F   7FC0C0A   7FBA7EA         1        A0   7FC9370
    
                     TTSM III   XNZVC
    PC= 7FBA8C6›22m  SR %0000000000001000›1m  USP=7FB4472  ISP=7FF2FC4  MSP=7F800
    VBR=7FF5000  SFC=5  DFC=5  CACR=0  MMUSR=0
    TC=8000  URP=7F68000  SRP=7F68000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100001000101000›22m dmacon=%›1m0000001111110011 adkcon=$1100
    intreq=%0000011111000100
    vposr....A300  vhposr...026F  joy0dat..0103  joy1dat..01FF  clxdat...F1FF  
    pot0dat..1C00  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...FA6B  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=C881<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000564  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ************************* 01-Jan-78 00:01:27 ************************18.5.5948***
    Slave='HighwayHawks.slave' (2344 bytes)
    Resload    7FEB000 -  7FF2D2C (  32044) at 7FEB000  GL=$7FF4000
    Slave      7FFD000 -  7FFD904 (   2308) at 7FFD000  BaseMemSize=$C0000
    ExpMem      1BF000 -   1FF000 ( 262144) at 1BF000
    attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Access Fault" ($7008) PC = $D28E (Task 'exec.library') Word Read
    from $51024BCD
    
    $0000d25c add.w        d0,($14,a0)                    ;$0007357c
    $0000d260 move.w       ($12,a0),d0                    ;$0007357a
    $0000d264 add.w        d0,d0
    $0000d266 lea          ($d302),a1
    $0000d26c move.w       (0,a1,d0.w),d2                 ;$51024bcb
    $0000d270 move.l       ($3c,a0),a1                    ;$000735a4
    $0000d274 move.w       ($3a,a0),d0                    ;$000735a2
    $0000d278 lsl.w        #2,d0
    $0000d27a jsr          ($7ffd88c)
    $0000d280 ori.b        #??$3c,d4
    $0000d284 dc.w         $007f
    $0000d286 sub.w        ($1a,a0),d1                    ;$00073582
    $0000d28a mulu         d2,d1
    $0000d28c swap         d1
    ›1m$0000d28e add.w        ($e,a1),d1                     ;$51024bcd
    ›22m$0000d292 neg.w        d1
    $0000d294 addi.w       #$7f,d1
    $0000d298 move.w       d1,($1a,a0)                    ;$00073582
    $0000d29c move.w       ($c,a1),d1                     ;$51024bcb
    $0000d2a0 lsr.w        #1,d1
    $0000d2a2 sub.w        d1,($14,a0)                    ;$0007357c
    $0000d2a6 bset         #3,(2,a0)                      ;$0007356a
    $0000d2ac bne.w        $d190
    $0000d2b0 jsr          ($f32a)
    $0000d2b6 suba.l       #4,a2
    $0000d2bc rts
    $0000d2be move.l       a2,-(a7)                       ;$00001872
    $0000d2c0 jsr          ($d2d0)
    $0000d2c6 move.l       (a7)+,a2                       ;$00001872
    
    exception stackframe:
    $000BFFC4 00000000 D28E7008 000C0000 05410001 00410041 51024BCD 0000186E 0000D282
    $000BFFE4 00ADC2A0 0000B9D4 0001323C 000000A0 0004C238 00000000 BCE8006C
    regular stack:
    $00001872 0000D162 0000DD8A 0000A79E 07FFD706 07FFD252 00000001 00000000 00000000
    $00001892 D5D5D5D5 FFFFFFFF D7D7D7D7 FFFFFFFF 001E76EE 00005C40 000018B6 00000676
    $000018B2 001E75CC 00000676 00000000 0000001D A608001C 0498001C 049E001C 04AE001C
    $000018D2 04B4001E A4440000 5BF6001E A2C20000 0000192A 00001926 0700001E 73FA0000
    $000018F2 19120000 00004704 000060F0 00090000 000000FF 00000000 00024B38 00060200
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx FFFF000C  46950002      2245        28  ED300152  FFFF4BD0  FFFF006E      FFFF
    Ax    73568  51024BBF     135D2      D1B2         1        A0     4C238
    
                     TTSM III   XNZVC
    PC=    D28E›22m  SR %0000000000000000›1m  USP=1872  ISP=BFFC4  MSP=BF800
    VBR=7FF5000  SFC=5  DFC=5  CACR=0  MMUSR=0
    TC=8000  URP=7FE9000  SRP=7FE9000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100011000101000›22m dmacon=%›1m0000001111110011 adkcon=$1100
    intreq=%0000000111000100
    vposr....A300  vhposr...0265  joy0dat..0301  joy1dat..0100  clxdat...F1FF  
    pot0dat..F100  pot1dat..0000  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.FCF8  hhposr...06A5  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=C87F<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000715  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ? file icon .whdl_register (27,028 bytes) 2020-08-19 16:32 +
  • zip file icon HighwayHawks-2.zip (2,054 bytes) 2021-04-20 18:36

-Relationships
+Relationships

-Notes

note ~0009047

JOTD (developer)

I had a fix that I didn't release. Can you test this new slave?

note ~0009048

christoph gleisberg (reporter)

Hi JOTD,
sorry to say but nothing's changed :(
The background and the cars has graphicproblems and the game crashes a few seconds after I started to play.

note ~0009051

JOTD (developer)

okay, but I can't reproduce it with winuae with the fastest cpu speed...

note ~0009055

christoph gleisberg (reporter)

I made a core dump, may this can help?

www.kabel-helpdesk.de/amiga_images/HighwayHawks/.whdl_dump
www.kabel-helpdesk.de/amiga_images/HighwayHawks/.whdl_expmem
www.kabel-helpdesk.de/amiga_images/HighwayHawks/.whdl_memory
www.kabel-helpdesk.de/amiga_images/HighwayHawks/.whdl_register

Please let me know :)

note ~0009057

JOTD (developer)

************************* 01-Jan-78 00:01:32 ************************18.5.5948***
Slave='HighwayHawks.slave' (2004 bytes)
Resload 7F6A000 - 7F71D2C ( 32044) at 7F6A000 GL=$7FF4000
Slave 7FFD000 - 7FFD7B0 ( 1968) at 7FFD000 BaseMemSize=$80000
ExpMem 7F73000 - 7FF3000 ( 524288) at 7F73000
attn=7F(40,82) fc=-1 kn=20872 cs=19C8 rw=0 zpt=-1 ep=0 ei=0
setcpu=0(SNCS,ENCS,BNCS)

Exception "Access Fault" ($7008) PC = $7FBA8C6 (ExpMem $478C6) Word Read from
$200E87D

$07fba894 add.w d0,($14,a0) ;$07fc965c
$07fba898 move.w ($12,a0),d0 ;$07fc965a
$07fba89c add.w d0,d0
$07fba89e lea ($7fba93a),a1
$07fba8a4 move.w (0,a1,d0.w),d2 ;$0200e877
$07fba8a8 move.l ($3c,a0),a1 ;$07fc9684
$07fba8ac move.w ($3a,a0),d0 ;$07fc9682
$07fba8b0 lsl.w #2,d0
$07fba8b2 jsr ($7ffd74a)
$07fba8b8 ori.b #??$3c,d4
$07fba8bc dc.w $007f
$07fba8be sub.w ($1a,a0),d1 ;$07fc9662
$07fba8c2 mulu d2,d1
$07fba8c4 swap d1
$07fba8c6 add.w ($e,a1),d1 ;$0200e87d
$07fba8ca neg.w d1
$07fba8cc addi.w #$7f,d1
$07fba8d0 move.w d1,($1a,a0) ;$07fc9662
$07fba8d4 move.w ($c,a1),d1 ;$0200e87b
$07fba8d8 lsr.w #1,d1
$07fba8da sub.w d1,($14,a0) ;$07fc965c
$07fba8de bset #3,(2,a0) ;$07fc964a
$07fba8e4 bne.w $7fba7c8
$07fba8e8 jsr ($7fbc962)
$07fba8ee suba.l #4,a2
$07fba8f4 rts
$07fba8f6 move.l a2,-(a7) ;$07fb4472
$07fba8f8 jsr ($7fba908)
$07fba8fe move.l (a7)+,a2 ;$07fb4472

exception stackframe:
$07FF2FC4 000807FB A8C67008 07FF3000 05410001 00410041 0200E87D 07FB446E 07FBA8BA
$07FF2FE4 0000BBFC 00DFF000 07FC1EE6 00000031 07FBB7FA 001107FB 93180070
regular stack:
$07FB4472 07FBA79A 07FBB3C2 07FB7DD6 07FFD5EC 07FFD228 00000001 00000000 00000000
$07FB4492 D5D5D5D5 FFFFFFFF D7D7D7D7 FFFFFFFF 07F9B6EE 00001558 07FB44B6 07FB3276
$07FB44B2 07F9B5CC 07FB3276 00000000 300007F8 E60807F7 449807F7 449E07F7 44AE07F7
$07FB44D2 44B407F9 E44407FB 76BE07F9 E2C207FB 07FB452A 07FB4526 070007F9 B3FA07FB
$07FB44F2 451207FB 07FB6AA4 07FB7730 00090000 000000FF 00000000 0000E7E8 00060200

note ~0009058

JOTD (developer)

can you try with EXPCHIP see what happens?

note ~0009060

christoph gleisberg (reporter)

Tried now with "expchip" but it also crashed with the same problem.

note ~0009062

JOTD (developer)

I have attached a full chip slave. Please send the .whdl_register file, I'll be able to match the addresses.

note ~0009064

christoph gleisberg (reporter)

Here is the file you wanted made with your new slave.

note ~0009069

Pascal De Maeseneire (reporter)

@JOTD
Hi,
Trying to help, I tried the latest Slave 1.1 Debug on my 2 Amiga types.
There are some graphics issues with this latest version.
on my Amigas there is a superposition of images at the level of the buildings with the image flashing during the race and even in the short presentation with the skull ...
On my A500ACA500PLUS while I was racing the screen suddenly went black with a complete loss of the video signal and I had to reboot to get a video signal with the workbench.
On my A1200 (GVP Turbo+2 68030+FPU @40 Mhz with 32 MB) same graphics problems and then suddenly a return to the workbench with a WDHLOAD error message ...
But with Your previous Slave 1.0 and 1.1 (December 2007),
the game seems to works correctly on my 2 Amigas without any graphics problems & without any errors messages ...
These are my observations,
Best regards,
Pascal

note ~0009074

JOTD (developer)

new beta slave attached (for blitter waits)

Access faults may remain, but it could fix the graphical errors.

note ~0009075

christoph gleisberg (reporter)

Wow, that's really cool, the graphic errors are over and the crashes also. I played the first level complete and it worked, but in the second level the game suddently had a kind of freeze. I was driving on a straight lane and suddently the street moved on while the car and other cars in the game freezed.

note ~0009076

Pascal De Maeseneire (reporter)

@JOTD
Hi,
Sorry but for myself, same graphics problems with some superposition of images with the image flashing during the race (high of the screen) and even in the short presentation with the skull ...
For myself Your Skave 1.1 from 2007 works on my both Amiga systems...
Best Regards,
Pascal

note ~0009077

JOTD (developer)

@Pascal check with EXPCHIP for instance. Because there's no reason why my changes would have broken something

@christoph is your machine really a A4000/040/AGA?

note ~0009079

Pascal De Maeseneire (reporter)

@JOTD
Hi,
Sorry for delay to answer You,

Yes these Tooltypes works
EXPCHIP for My A1200 (GVP TURBO+II 60830 @40Mhz + FPU AND 32MB RAM)
EXPLocal for My A500ACA500PLUS (68000 @14 Mhz WITH 7MB RAM).
Both resolves graphics problems on game on my both Amiga(s) except on intro with Skull (flashing).
But on my both systems on 1st stage sudently when the car stay behind a truck the game freeze and I need to press my Quitkey ($46) to return to workbench because I can't continue to play...the sound freeze too...
With Your initial Slave 1.1 from 2007 tooltypes were not necessary, no graphics problems were presents (intro + in game) on my both systems.
Under WINUAE Without any ToolTypes graphics problems are the same (WINUAE 4.4.0 64Bit)WHDLOAD 16.6
Sorry to report that....Because I really appreciate Your Works for WHDLOAD community...
Best Regards,
Pascal

note ~0009080

Pascal De Maeseneire (reporter)

I just retry under WINUAE with toolType EXPCHIP (0S3.5)...
but full graphics problems before sudently a game exit with a message Error :
Exception "Illegal Instruction" (S10) at $E4AE (Task 'exec.library') Occured.

note ~0009081

christoph gleisberg (reporter)

Yes it's really a A4000 with AGA.

note ~0009082

JOTD (developer)

@Pascal I think that's because I set CACHE in chip. Try just with NOCACHE. I'll rollback this change.

note ~0009083

JOTD (developer)

attached a new version. If you can test...

note ~0009084

Pascal De Maeseneire (reporter)

@JODT
I Just finish to test Your latest Slave on my Both systems.
Without ToolType EXPCHIP on A1200 or EXPLOCAL on A500 and WITHOUT NOCACHE.
Graphics problems seems not presents on both systems but the game freeze each time sudently when the cars stay behind a truck on 1st Level.
I Fact, the scenery of the road continues to move forward but the music freeze and the car is no longer controllable.
for the intro of the game with the different screens and the skull I really prefer the result of the slave 1.1 from 2007.
Sorry to repeat that but the result of Your Slave 1.1 from 2007 is really better for me...
Maybe others players can try it.
Best Regards,
Pascal

note ~0009096

christoph gleisberg (reporter)

Hey Guys,

I also have the freezes but all other problems are gone.

Best Reguards,
Chris

note ~0009111

JOTD (developer)

Chris you must have an early version/a buggy version of the graphics chip where blitterwait is slightly buggy.

Some games are using a non-compliant blitterwait and it fails on some machines.

Crazy Cars III had the same issue.

I'm going to investigate the freezes now.

note ~0009112

christoph gleisberg (reporter)

But I have to say you did great work cause the only problem I have with your latest installer are the freezes, so I think you will get the problem done.

note ~0010043

christoph gleisberg (reporter)

Hi there :)
do you get any new results about this problem?

Best reguards,
Chris

note ~0010044

CFOU (developer)

Last edited: 2021-04-20 17:49

View 2 revisions

i will try last beta and v1.1 (2007) slaves on blizzard 060 to compare (at the end of the week, if i have free time)

With change i will can reproduction your freeze when the cars stay behind a truck on 1st Level...
I might have ideas to help Jeff to correct your problem

note ~0010045

CFOU (developer)

Last edited: 2021-04-20 17:58

View 3 revisions

perhaps a code like:
waitblt:
       btst #6,$2(Ax)
       bne waitblt

cause freeze if for an obscure reason Ax register have not DFF000 value all time.
(by example if Ax not restored at the end of an interrupts code??)
ps:I already had this problem in the past...

note ~0010046

christoph gleisberg (reporter)

With the installer that is at this time online I also get an access fault. That's the files I've sent to you.

note ~0010047

CFOU (developer)

Christoph, can you confirme that you are not the freeze and/or crash with v1.1? I am not sure to have understand well..

note ~0010048

christoph gleisberg (reporter)

That's correct. With the first installer I got access faults and graphic errors, with V1.1 they were fixed but the game freezes on level 2 with V1.1

note ~0010049

JOTD (developer)

Last edited: 2021-04-20 18:36

View 2 revisions

waitblt:
       btst #6,$2(Ax)
       bne waitblt

isn't the proper way to wait for blitter anyway. you have to perform a first btst before the loop (some machines can fail seeing bbusy)

There may be issues with dma audio missing delays. Attached a new slave and also changed the blitwaits to use absolute custom address as cfou! suggestion (that's a vicious issue!!)

note ~0010054

StingRay (developer)

The first custom chip access for the blitter wait (doesn't have to be btst, can be a simple tst.b $dff002 too for example) is only needed when DMA load is high (5 bitplanes or more) and machine has a very old Agnus installed. It shouldn't make any difference for the majority of cases where a blitter wait is needed if the first access is not done.
+Notes

-Issue History
Date Modified Username Field Change
2020-04-01 21:29 administrator New Issue
2020-04-01 21:29 administrator Status new => assigned
2020-04-01 21:29 administrator Assigned To => JOTD
2020-08-17 11:03 JOTD File Added: HighwayHawks.zip
2020-08-17 11:04 JOTD Status assigned => feedback
2020-08-17 11:04 JOTD Note Added: 0009047
2020-08-17 16:19 christoph gleisberg Note Added: 0009048
2020-08-17 16:19 christoph gleisberg Status feedback => assigned
2020-08-17 22:17 JOTD Note Added: 0009051
2020-08-18 05:42 christoph gleisberg Note Added: 0009055
2020-08-18 08:20 JOTD Note Added: 0009057
2020-08-18 08:21 JOTD Note Added: 0009058
2020-08-18 20:21 JOTD Status assigned => feedback
2020-08-19 05:39 christoph gleisberg Note Added: 0009060
2020-08-19 05:39 christoph gleisberg Status feedback => assigned
2020-08-19 10:54 JOTD File Deleted: HighwayHawks.zip
2020-08-19 10:54 JOTD File Added: HighwayHawks.zip
2020-08-19 10:55 JOTD Note Added: 0009062
2020-08-19 16:32 christoph gleisberg File Added: .whdl_register
2020-08-19 16:32 christoph gleisberg Note Added: 0009064
2020-08-20 01:52 Pascal De Maeseneire Note Added: 0009069
2020-08-21 10:27 JOTD File Deleted: HighwayHawks.zip
2020-08-21 10:28 JOTD File Added: HighwayHawks.zip
2020-08-21 10:28 JOTD Note Added: 0009074
2020-08-21 17:52 christoph gleisberg Note Added: 0009075
2020-08-21 21:56 Pascal De Maeseneire Note Added: 0009076
2020-08-21 22:16 JOTD Note Added: 0009077
2020-08-22 00:48 Pascal De Maeseneire Note Added: 0009079
2020-08-22 00:56 Pascal De Maeseneire Note Added: 0009080
2020-08-22 04:27 christoph gleisberg Note Added: 0009081
2020-08-22 09:34 JOTD Note Added: 0009082
2020-08-22 11:10 JOTD File Deleted: HighwayHawks.zip
2020-08-22 11:11 JOTD File Added: HighwayHawks.zip
2020-08-22 11:11 JOTD Note Added: 0009083
2020-08-22 22:02 Pascal De Maeseneire Note Added: 0009084
2020-08-26 05:17 christoph gleisberg Note Added: 0009096
2020-08-30 23:06 JOTD Note Added: 0009111
2020-08-30 23:07 JOTD Summary The games brings access faults and graphic errors while playing. => The games brings graphic errors while playing / freezes
2020-08-30 23:07 JOTD Description Updated View Revisions
2020-08-31 05:16 christoph gleisberg Note Added: 0009112
2020-08-31 22:28 JOTD Status assigned => closed
2020-08-31 22:28 JOTD Resolution open => fixed
2021-04-20 17:35 christoph gleisberg Status closed => feedback
2021-04-20 17:35 christoph gleisberg Resolution fixed => reopened
2021-04-20 17:35 christoph gleisberg Note Added: 0010043
2021-04-20 17:47 CFOU Note Added: 0010044
2021-04-20 17:49 CFOU Note Edited: 0010044 View Revisions
2021-04-20 17:56 CFOU Note Added: 0010045
2021-04-20 17:56 CFOU Note Edited: 0010045 View Revisions
2021-04-20 17:57 christoph gleisberg Note Added: 0010046
2021-04-20 17:57 christoph gleisberg Status feedback => assigned
2021-04-20 17:58 CFOU Note Edited: 0010045 View Revisions
2021-04-20 18:00 CFOU Note Added: 0010047
2021-04-20 18:19 christoph gleisberg Note Added: 0010048
2021-04-20 18:30 JOTD Note Added: 0010049
2021-04-20 18:30 JOTD File Deleted: HighwayHawks.zip
2021-04-20 18:31 JOTD File Added: HighwayHawks.zip
2021-04-20 18:36 JOTD File Added: HighwayHawks-2.zip
2021-04-20 18:36 JOTD File Deleted: HighwayHawks.zip
2021-04-20 18:36 JOTD Note Edited: 0010049 View Revisions
2021-04-20 21:44 StingRay Note Added: 0010054
+Issue History